//**********************************************************************//
//									//
//	Emerald.shader for Q3Radiant					//
//	by Sock - 22nd August 2000 : Edited For Use by KittyWumpus*	//
//									//
//**********************************************************************//
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// Very liberal edit of skybox by KittyWumpus* for this map.

textures/ut4_kingsgambit/kg_kingsky3
{
	qer_editorimage env/ut4_kingsgambit/emerald_ft.tga
	skyparms env/ut4_kingsgambit/emerald 1024 -

	q3map_sunEXT 0.9 0.9 0.9 1000 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 500 3	
	q3map_globaltexture
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

// ---=== NoDamage Textures ===---

textures/ut4_kingsgambit/kw_rope4:q3map
{
	surfaceparm nodamage
}

textures/ut4_kingsgambit/pr_brick050:q3map
{
	surfaceparm nodamage
}

textures/ut4_kingsgambit/pr_floor074:q3map
{
	surfaceparm nodamage
}

textures/ut4_kingsgambit/pr_floor076:q3map
{
	surfaceparm nodamage
}

textures/ut4_kingsgambit/pr_floor078:q3map
{
	surfaceparm nodamage
}

textures/ut4_kingsgambit/pr_floor081:q3map
{
	surfaceparm nodamage
}

textures/ut4_kingsgambit/pr_floor090:q3map
{
	surfaceparm nodamage
}

textures/ut4_kingsgambit/pr_rock015b:q3map
{
	surfaceparm nodamage
}

textures/ut4_kingsgambit/pr_rock015r:q3map
{
	surfaceparm nodamage
}

textures/ut4_kingsgambit/pr_rock035_c:q3map
{
	surfaceparm nodamage
}

textures/ut4_kingsgambit/pr_rock067:q3map
{
	surfaceparm nodamage
}

textures/ut4_kingsgambit/pr_roof05:q3map
{
	surfaceparm nodamage
}

textures/ut4_kingsgambit/pr_veg048:q3map
{
	surfaceparm nodamage
}

// ---=== NonSolid ===---

textures/ut4_kingsgambit/kg_amhouse_b:q3map
{
	surfaceparm nonsolid
}

textures/ut4_kingsgambit/kg_amhouse_r:q3map
{
	surfaceparm nonsolid
}

textures/ut4_kingsgambit/kg_ammo_b:q3map
{
	surfaceparm nonsolid
}

textures/ut4_kingsgambit/kg_ammo_r:q3map
{
	surfaceparm nonsolid
}

textures/ut4_kingsgambit/kg_cat_b:q3map
{
	surfaceparm nonsolid
}

textures/ut4_kingsgambit/kg_cat_r:q3map
{
	surfaceparm nonsolid
}

textures/ut4_kingsgambit/kg_deploy_be:q3map
{
	surfaceparm nonsolid
}

textures/ut4_kingsgambit/kg_deploy_bw:q3map
{
	surfaceparm nonsolid
}

textures/ut4_kingsgambit/kg_deploy_re:q3map
{
	surfaceparm nonsolid
}

textures/ut4_kingsgambit/kg_deploy_rw:q3map
{
	surfaceparm nonsolid
}

textures/ut4_kingsgambit/kg_dock_b:q3map
{
	surfaceparm nonsolid
}

textures/ut4_kingsgambit/kg_dock_r:q3map
{
	surfaceparm nonsolid
}

textures/ut4_kingsgambit/kg_tower_spbe:q3map
{
	surfaceparm nonsolid
}

textures/ut4_kingsgambit/kg_tower_spbw:q3map
{
	surfaceparm nonsolid
}

textures/ut4_kingsgambit/kg_tower_spre:q3map
{
	surfaceparm nonsolid
}

textures/ut4_kingsgambit/kg_tower_sprw:q3map
{
	surfaceparm nonsolid
}

textures/ut4_kingsgambit/kg_twr_b:q3map
{
	surfaceparm nonsolid
}

textures/ut4_kingsgambit/kg_twr_r:q3map
{
	surfaceparm nonsolid
}

// ---=== Watercaulk ===---

textures/ut4_kingsgambit/kg_watercaulk
{
	qer_editorimage textures/kittywumpus/kw_watercaulk.jpg
	qer_trans 0.3
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	surfaceparm noimpact
}

// ---=== Water ===---

textures/ut4_kingsgambit/kg_clear_ripple3
{
	qer_editorimage textures/ut4_kingsgambit/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	
	{ 
		map textures/ut4_kingsgambit/liquids/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}

	{ 
		map textures/ut4_kingsgambit/liquids/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}

	{ 
		map textures/ut4_kingsgambit/liquids/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}

	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}

}

textures/ut4_kingsgambit/kg_waterfall1
{
//	q3map_fancywater 10 0.85 0.8 0.75
	q3map_globaltexture

        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water
	qer_nocarve
	cull disable

	qer_editorimage textures/ut4_kingsgambit/duck_pool3d_5c.tga
	qer_nocarve
	qer_trans 0.7

	{
		map textures/ut4_kingsgambit/duck_pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scroll -0.1 1.3
	}
	{
		map textures/ut4_kingsgambit/duck_pool3d_5c.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.1 1.1
	}
	{
		map textures/ut4_kingsgambit/duck_pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0 1.5
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut4_kingsgambit/kg_waterfall2
{
//	q3map_fancywater 10 0.85 0.8 0.75

        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.7
	qer_editorimage textures/ut4_kingsgambit/duck_pool5.tga

//	deformVertexes bulge 1 1 4
//	deformVertexes wave 16 sin 0 2 0 .5

	{
		map textures/ut4_kingsgambit/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll -0.025 -2.0
		alphafunc ge128
	}
	{
		map textures/ut4_kingsgambit/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -1.95
		alphafunc ge128
	}
	{
		map textures/ut4_kingsgambit/duck_pool5.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll 0 -1.9
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		depthfunc equal
	}
}

// low waterflow

textures/ut4_kingsgambit/kg_waterfall_slw
{
//	q3map_fancywater 10 0.85 0.8 0.75

        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.7
	qer_editorimage textures/ut4_kingsgambit/duck_pool5.tga

	deformVertexes bulge 4 4 .5
// jiggle amount
	deformVertexes wave 16 sin 0 3 0 .5

	{
		map textures/ut4_kingsgambit/duck_pool5.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -2.1
		alphafunc ge128
	}
	{
		map textures/ut4_kingsgambit/duck_pool6.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -2.2
		alphafunc ge128
	}
	{
		map textures/ut4_kingsgambit/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -1.95
		alphafunc ge128
	}
	{
		map textures/ut4_kingsgambit/duck_pool5.tga
		blendfunc filter
		tcMod scroll 0 -2.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

//Lighting

textures/ut4_kingsgambit/kg_panel_500
{
	qer_editorimage textures/ut4_kingsgambit/xing_panel.tga
	surfaceparm nomarks 
	surfaceparm nodamage
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kingsgambit/xing_panel.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kingsgambit/xing_panel_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kingsgambit/kg_flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 7500
	qer_editorimage textures/ut4_kingsgambit/flame7.tga
	

	{
		animMap 10 textures/ut4_kingsgambit/flame1.tga textures/ut4_kingsgambit/flame2.tga textures/ut4_kingsgambit/flame3.tga textures/ut4_kingsgambit/flame4.tga textures/ut4_kingsgambit/flame5.tga textures/ut4_kingsgambit/flame6.tga textures/ut4_kingsgambit/flame7.tga textures/ut4_kingsgambit/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_kingsgambit/flame2.tga textures/ut4_kingsgambit/flame3.tga textures/ut4_kingsgambit/flame4.tga textures/ut4_kingsgambit/flame5.tga textures/ut4_kingsgambit/flame6.tga textures/ut4_kingsgambit/flame7.tga textures/ut4_kingsgambit/flame8.tga textures/ut4_kingsgambit/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut4_kingsgambit/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

// ---=== Ladderclip ===---

textures/ut4_kingsgambit/kg_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

textures/ut4_kingsgambit/kg_rope1
{
	qer_editorimage textures/ut4_kingsgambit/kw_rope4.tga
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nomarks
	
	{
		map textures/ut4_kingsgambit/kw_rope4.tga

	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
    }
}

//Delirium plant-tree shaders

//moving leaf - multiple bevels, bent for leaves-fronds

textures/ut4_kingsgambit/kg_leaf1
{
        qer_editorimage textures/ut4_kingsgambit/del_leaf1.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	cull none
        nopicmip
	deformVertexes wave 194 sin 0 2 0 .2
	{
		map textures/ut4_kingsgambit/del_leaf1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//moving leaf - multiple bevels
textures/ut4_kingsgambit/kg_leaf2
{
        qer_editorimage textures/ut4_kingsgambit/del_leaf2.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	cull none
        nopicmip
	deformVertexes wave 194 sin 0 2 0 .2
	{
		map textures/ut4_kingsgambit/del_leaf2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//shrubs - criss-cross patches or very thin brushes

textures/ut4_kingsgambit/kg_plant1
{
        qer_editorimage textures/ut4_kingsgambit/del_plant1.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	//DeformVertexes autosprite2
	cull none
        nopicmip
	{
		map textures/ut4_kingsgambit/del_plant1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
 
textures/ut4_kingsgambit/kg_plant3
{
        qer_editorimage textures/ut4_kingsgambit/del_plant3.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	//DeformVertexes autosprite2
	cull none
        nopicmip
	{
		map textures/ut4_kingsgambit/del_plant3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//green moving vines - bevel, top edge bent over top of brush

textures/ut4_kingsgambit/kg_vine07
{
	qer_editorimage textures/ut4_kingsgambit/plants_soc/del_vine06.tga
	cull none
	surfaceparm alphashadow
        surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	//deformVertexes wave 194 sin 0 2 0 .2

	{
		map textures/ut4_kingsgambit/plants_soc/del_vine06.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//orange moving vines

textures/ut4_kingsgambit/kg_vine08
{
	qer_editorimage textures/ut4_kingsgambit/plants_soc/del_vine06.tga
	cull none
	surfaceparm alphashadow
        surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	//deformVertexes wave 194 sin 0 2 0 .2

	{
		map textures/ut4_kingsgambit/plants_soc/del_vine06.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// cn_trees  model

// cn_trees version1 Tree-mapmodel (c) QKennyQ 


textures/ut4_kingsgambit/kg_liveoak
{
	cull none
	nopicmip
	qer_editorimage textures/ut4_kingsgambit/cn_trees/liveoak.tga

	{
		map models/mapobjects/ut4_kingsgambit/cn_trees/liveoak.tga
		alphaFunc LE128
		depthWrite
		rgbGen vertex
	}
}


// ======================================================================
// VINE - soc
// ======================================================================

// ----------------------------------------------------------------------

textures/ut4_kingsgambit/kg_vine02
{
	qer_editorimage textures/ut4_kingsgambit/plants_soc/vine02.tga
	cull none
	surfaceparm alphashadow
        surfaceparm nonsolid
	surfaceparm trans
	nopicmip

	{
		map textures/ut4_kingsgambit/plants_soc/vine02.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ----------------------------------------------------------------------
textures/ut4_kingsgambit/kg_vine03
{
	qer_editorimage textures/ut4_kingsgambit/plants_soc/vine03.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99

	{
		map textures/ut4_kingsgambit/plants_soc/vine03.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ----------------------------------------------------------------------
textures/ut4_kingsgambit/kg_vine04
{
	qer_editorimage textures/ut4_kingsgambit/plants_soc/vine04.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/ut4_kingsgambit/plants_soc/vine04.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ----------------------------------------------------------------------
textures/ut4_kingsgambit/kg_vine05
{
	qer_editorimage textures/ut4_kingsgambit/plants_soc/vine05.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99

	{
		map textures/ut4_kingsgambit/plants_soc/vine05.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ----------------------------------------------------------------------
textures/ut4_kingsgambit/kg_vine06
{
	qer_editorimage textures/ut4_kingsgambit/plants_soc/vine06.tga
	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	//qer_trans 0.99
	deformVertexes wave 16 sin 0 0.5 0 0.1

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map textures/ut4_kingsgambit/plants_soc/vine06.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ======================================================================
// TREE - by Sock, mods by KittyWumpus*
// ======================================================================
textures/ut4_kingsgambit/soc_tree01_bark
{
	qer_editorimage textures/ut4_kingsgambit/soc_tree01_bark.tga

	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip

	q3map_clipmodel
	q3map_nonplanar
	q3map_shadeAngle 75

	//{
	//	map $lightmap
	//	rgbGen identity
	//}
	{
		map textures/ut4_kingsgambit/soc_tree01_bark.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
		//blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_kingsgambit/soc_tree01_stump
{
	qer_editorimage textures/ut4_kingsgambit/soc_tree01_stump.tga

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kingsgambit/soc_tree01_stump.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_kingsgambit/soc_tree01_leaves
{
	qer_editorimage textures/ut4_kingsgambit/soc_tree01_leaves.tga
	q3map_cloneShader textures/ut4_kingsgambit/soc_tree01_leavesback

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_trans 0.99

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/ut4_kingsgambit/soc_tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/ut4_kingsgambit/soc_tree01_leavesback
{
	qer_editorimage textures/ut4_kingsgambit/soc_tree01_leaves.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/ut4_kingsgambit/soc_tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
